%define name ServiceReport
%define version 2.2.2
%define release 2

# By default python 3 is used to build the package.
%define python python2

Name: %{name}
Summary: A tool to validate and repair First Failure Data Capture (FFDC) configuration
Version: %{version}
Release: %{release}
Source0: https://github.com/linux-ras/%{name}/archive/v%{version}/%{name}-v%{version}.tar.gz
License: GPLv2+
Group: System/RAS
URL: https://github.com/linux-ras/ServiceReport

BuildArch: ppc64le
BuildRequires: %{python} systemd
BuildRequires: %{python}-setuptools
Requires: %{python} systemd

%description
ServiceReport is a python based tool that investigates the incorrect
First Failure Data Capture (FFDC) configuration and optionally repairs
the incorrect configuration

%define debug_package %{nil}
%prep
%setup -q

%build
%{python} setup.py build

%install
%{python} setup.py install --root=$RPM_BUILD_ROOT

%post
%systemd_post servicereport.service

%files
%defattr(-,root,root)
%doc /usr/share/man/man8/*
%doc /usr/share/doc/*
%{_bindir}/servicereport
/usr/lib/systemd/system/servicereport.service

%if "%{python}" == "python3"
%{python3_sitelib}/servicereportpkg
%{python3_sitelib}/ServiceReport*.egg-info
%else
%{python_sitelib}/servicereportpkg
%{python_sitelib}/ServiceReport*.egg-info
%endif

%changelog

* Sun May 17 2020 Sourbh Jain <sourabhjain@linux.ibm.com> 2.2.2-2
- Move setup.cfg metadata to setup.py file

* Thu May 14 2020 Sourabh Jain <sourabhjain@linux.ibm.com> 2.2.2-1
- Update crashkernel memory reservation limit
- Remove rpm postscript
- Add servicereport.spec file
- Move systemd service file to a generic location
- Run service only once at boot time without repair action
- fix initrd repair function
- [fadump] No boolean return from check_* function
- [fadump] indent the code with spaces instead of tabs
- Fix the option_string for --plugin option
- [fadump] update the logic to extract the FADump mem reservation
- Add irqbalance daemon check
- Add irqbalance package check
- Fix the system platform string extraction from /proc/cpuinfo
- Fix powerpc-ibm-utils package name
- Fix typo in README.md

* Fri Nov 15 2019 Sourabh Jain <sourabhjain@linux.ibm.com> 2.2.1-1
- First Open source release
- Initial Commit of Open Source release
